
QGIS Application - Bug report #4474

Raster Calculator makes QGIS crash if output file exists

2011-11-01 04:56 AM - alobo -

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: ubuntu 10.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 14401

Description

Instead of prompting whether the file has to be overwritten,

Raster Calculator crashes if output file exists.

Agus

History

#1 - 2011-11-01 04:57 AM - alobo -

- Operating System set to ubuntu 10.04

#2 - 2011-11-01 04:58 AM - alobo -

I mean Raster Calculator makes QGIS crash

#3 - 2011-11-01 05:16 AM - Giovanni Manghi

- Subject changed from Raster Calculator crashes if output file exists to Raster Calculator makes QGIS crash if output file exists

#4 - 2011-11-12 05:51 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#5 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#6 - 2011-12-16 10:55 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#7 - 2011-12-23 09:27 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to Yes

Hi Agus,

I tested on both Windows and Linux with qgis-master ans 1.7.3

I see no crashes at all.
When selecting the output name if you go pick the already existing file QGIS asks if you want to replace it. If just the name is written then QGIS silently

overwrites it- The latter seems to me a bug, but it seems not causing crashes.

Please test again and report back.

#8 - 2012-01-13 06:28 AM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from Feedback to Closed

Closing for lack of feedback. Please reopen if necessary.
